POST api/NTCosCompany/SaveCompanyCOSService

Request Information

URI Parameters

None.

Body Parameters

Collection of CompanyCOSServiceDTO
NameDescriptionTypeAdditional information
COSServiceId

integer

None.

Name

string

String length: inclusive between 0 and 50

Status

boolean

None.

Sequence

integer

None.

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
[
  {
    "COSServiceId": 1,
    "Name": "sample string 2",
    "Status": true,
    "Sequence": 1,
    "ValidFlag": true,
    "DateCreated": "2026-06-19T22:56:55.3484951-07:00",
    "DateUpdated": "2026-06-19T22:56:55.3484951-07:00",
    "UserIDCreated": 7,
    "UserIDUpdated": 8,
    "CompanyCode": "sample string 9",
    "IsExcludeDiscount": true
  },
  {
    "COSServiceId": 1,
    "Name": "sample string 2",
    "Status": true,
    "Sequence": 1,
    "ValidFlag": true,
    "DateCreated": "2026-06-19T22:56:55.3484951-07:00",
    "DateUpdated": "2026-06-19T22:56:55.3484951-07:00",
    "UserIDCreated": 7,
    "UserIDUpdated": 8,
    "CompanyCode": "sample string 9",
    "IsExcludeDiscount": true
  }
]

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfListOfCompanyCOSServiceDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of CompanyCOSServiceDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "COSServiceId": 1,
      "Name": "sample string 2",
      "Status": true,
      "Sequence": 1,
      "ValidFlag": true,
      "DateCreated": "2026-06-19T22:56:55.3547359-07:00",
      "DateUpdated": "2026-06-19T22:56:55.3547359-07:00",
      "UserIDCreated": 7,
      "UserIDUpdated": 8,
      "CompanyCode": "sample string 9",
      "IsExcludeDiscount": true
    },
    {
      "COSServiceId": 1,
      "Name": "sample string 2",
      "Status": true,
      "Sequence": 1,
      "ValidFlag": true,
      "DateCreated": "2026-06-19T22:56:55.3547359-07:00",
      "DateUpdated": "2026-06-19T22:56:55.3547359-07:00",
      "UserIDCreated": 7,
      "UserIDUpdated": 8,
      "CompanyCode": "sample string 9",
      "IsExcludeDiscount": true
    }
  ],
  "totalCount": 3
}